AA-MOUNT(1)

NAME
aa-mount - Mount a filesystem

SYNOPSIS
aa-mount [-D] [-B | -M] [-r | -w] [-d] [-t FSTYPE] [-o OPTIONS] DEVICE MOUNTPOINT

OPTIONS

-B, --bind
    Remount subtree specified as DEVICE onto MOUNTPOINT, making it available in the two places. Note that the filesystem moun options remain the same and cannot be changed via --options, you need a second call to change options, e.g:
        aa-mount -B olddir newdir
        aa-mount -o remount,ro,bind olddir newdir

-D, --double-output
    Enable double-output mode. Instead of using stdout for regular output, and stderr for warnings and errors, everything is sent both to stdout and stderr. This is intended to redirect stderr to a log file, so full output can be both shown on console and logged.

-d, --mkdir
    Create directory MOUNTPOINT before doing the mount. Note that this only tries to create the last element of the path, so all parents must already exists.

-h, --help
    Show help screen and exit.

-M, --move
    Move subtree specified as DEVICE to MOUNTPOINT So the content will be atomically moved from its old location (DEVICE) into the new one (MOUNTPOINT).

-o, --options OPTIONS
    Set OPTIONS as mount options to be used. They will be combined with any other options specified.

-r, --read-only
    Mount filesystem read-only

-t, --fstype FSTYPE
    Use FSTYPE as type of filesystem. Note that "auto" isn't supported.

-V, --version
    Show version information and exit.

-w, --read-write
    Mount filesystem read-write.

DESCRIPTION
aa-mount(1) mounts the specified filesystem using to the given options. It does not read /etc/fstab (or any other file), and therefore always requires both DEVICE and MOUNTPOINT to be specified; It also doesn't support an option to mount all filesystems from anywhere.

This also means that when using option remount you need to specify all the options to be set, since aa-mount(1) will not read /etc/fstab to combine options from there with those on the command line, as mount(8) does.

Supported options are: defaults, ro, rw, bind, move, async, atime, noatime, dev, nodev, diratime, nodiratime, dirsync, exec, noexec, mand, nomand, relatime, norelatime, strictatime, nostrictatime, suid, nosuid, remount, sync.

Any other options will be given to the kernel as-is.

BUGS
They're probably crawling somewhere in there... if you happen to catch one, (or more) report it and I'll do my best to squash it.

REPOSITORY
You can find the latest source code of anopa as well as report bugs and/or suggest features on its GitHub repository, available at <https://github.com/jjk-jacky/anopa>; or visit its official website at <https://jjacky.com/anopa>

AUTHOR

Olivier Brunel <jjk@jjacky.com>